/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file     bsp_board.h
*
* \brief    Implementation of the Configuration Class BSP_BOARD
*
* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/Examples/SP_QuickStart/NUCLEO-F446RE(STM32F446RETx)/bsp_board.h#1 $
*
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef BSP_BOARD_H_
#define BSP_BOARD_H_

#ifdef __cplusplus                                    /* for compatibility with C++ environments  */
extern "C" {
#endif


/*
****************************************************************************************************
*                                             INCLUDES
****************************************************************************************************
*/

#include "rtos_excep.h"

/*
****************************************************************************************************
*                                        EXTERNAL VARIABLES
****************************************************************************************************
*/

/*
****************************************************************************************************
*                                           DEFINITIONS
****************************************************************************************************
*/

/*------------------------------------------------------------------------------------------------*/
/*!
* \brief     Defines for LED task
*/
/*------------------------------------------------------------------------------------------------*/
#define HW_LED_MAX 3                                 /* Maximum hardware LEDs                     */
#define HW_LED(id)   (id)

/*
****************************************************************************************************
*                                         GLOBALS
****************************************************************************************************
*/

/*------------------------------------------------------------------------------------------------*/
/*!
* \brief     GPIO pin toggle structure 
*/
/*------------------------------------------------------------------------------------------------*/
typedef struct LED_TAG {
    GPIO_TypeDef *gpio;
    INT16U        pin;
} LED_T;

/*
****************************************************************************************************
*                                        FUNCTION PROTOTYPES
****************************************************************************************************
*/

void BSPLowInit  (void);
void BSPUsartInit(void);      
void BSPUsartSend(INT8U *pData, INT16U Size);
void BSPLedInit  (void);
void BSPPinTgl   (INT32U id);

#ifdef __cplusplus                                    /* for compatibility with C++ environment   */
}
#endif

#endif /* ifndef BSP_BOARD_H_ */
