/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      app_cfg.h
* \brief     APPLICATION CONFIGURATION
* \ingroup   APP
*
*     $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/Examples/SP_QuickStart/STM32F4-Discovery(STM32F407VGTx)/GCC/RTE/RTOS/app_cfg.h#1 $
*
*            This file contains configuration defines for the application software.
*
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef APP_CFG_H_
#define APP_CFG_H_

#ifdef __cplusplus                                    /* for compatibility with C++ environments  */
extern "C" {
#endif


/*
****************************************************************************************************
*                                           DEFINES
****************************************************************************************************
*/

#define APP_START_PRIO    0u                          /*!< Start Task Priority                    */
#define APP_START_STK_SZ  OS_TASK_DEFAULT_STK_SIZE    /*!< Start Task Stack Size                  */

#define APP_CTRL_PRIO     33u                         /*!< Control Task Priority                  */
#define APP_CTRL_STK_SZ   OS_TASK_DEFAULT_STK_SIZE    /*!< Control Task Stack Size                */

#define APP_LED_PRIO      40u                         /*!< Control Task Priority                  */
#define APP_LED_STK_SZ    OS_TASK_DEFAULT_STK_SIZE    /*!< Control Task Stack Size                */

#define APP_UART_PRIO     41u                         /*!< Control Task Priority                  */
#define APP_UART_STK_SZ   OS_TASK_DEFAULT_STK_SIZE    /*!< Control Task Stack Size                */


/*------------------------------------------------------------------------------------------------*/
/*!
* \def       MON_MPU_CFG_CHK_EN
* \ingroup   APP_MON
* \details   Disables (0) or enables (1) the check of the memory protection settings with the
*            function SPMonMpuCfgChk().
*
* \def       FIT_DELAY
* \ingroup   APP_MON
* \details   This definition configures a delay in OS ticks, after that a fault injection is done.
*            See FIT_SWWD_EN, FIT_STK_PTR_EN, FIT_STK_PATTERN_EN.
*
* \def       FIT_SWWD_EN
* \ingroup   APP_SWWD
* \details   Disables (0) or enables (1) a software watchdog fault injection.
*
* \def       FIT_STK_PTR_EN
* \ingroup   APP_MON
* \details   Disables (0) or enables (1) a stack pointer fault injection.
*
* \def       FIT_STK_PATTERN_EN
* \ingroup   APP_MON
* \details   Disables (0) or enables (1) a stack pattern fault injection.
*/
/*------------------------------------------------------------------------------------------------*/

#define MON_MPU_CFG_CHK_EN  1u

#define FIT_DELAY           12500u
#define FIT_SWWD_EN         0
#define FIT_STK_PTR_EN      0
#define FIT_STK_PATTERN_EN  0


#ifdef __cplusplus                                    /* for compatibility with C++ environment   */
}
#endif

#endif

