/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      app.h
*
* \brief     CERT-MPU QUICKSTART APPLICATON DEFINITIONS
*
* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/Examples/SP_QuickStart/app.h#1 $
*
* \details  This file contains the definitions for the quickstart application.
*
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef APP_H_
#define APP_H_

#ifdef __cplusplus                                    /* for compatibility with C++ environments  */
extern "C" {
#endif


/*
****************************************************************************************************
*                                           INCLUDES
****************************************************************************************************
*/

#include "bsp_board.h"                                /* hardware board configuration             */
#include "rtos_excep.h"
#include "ucos_ii.h"                                  /* use: uC/OS-II in application             */
#include "sp_core.h"                                  /* use: uC/OS-MPU extension                 */
#include "sp_osapi.h"                                 /* use: uC/OS-II wrapper functions          */

#include "app_err.h"
#include "app_mon.h"
#include "app_swwd.h"
#include "app_task.h"

/*
****************************************************************************************************
*                                            DEFINES
****************************************************************************************************
*/

#define SAFE_MEM_SEC        SP_MEM(10)
#define SAFE_MEM_START      SP_MEM_START(10)
#define SAFE_MEM_END        SP_MEM_END(10)
#define SAFE_MEM_DECLARE    SP_MEM_DECLARE(10)

#define UNSAFE_MEM_SEC      SP_MEM(11)
#define UNSAFE_MEM_START    SP_MEM_START(11)
#define UNSAFE_MEM_END      SP_MEM_END(11)
#define UNSAFE_MEM_DECLARE  SP_MEM_DECLARE(11)


/*
****************************************************************************************************
*                                       FUNCTION PROTOTYPES
****************************************************************************************************
*/

void App_TaskCreate (void (*task)(void *p_arg), INT8U prio,
                     OS_STK stk[], INT32U stkSize, void *phdl,
                     INT8U *pname);



#ifdef __cplusplus                                    /* for compatibility with C++ environment   */
}
#endif

#endif /* APP_H_ */
