/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      app_err.h
*
* \brief     CERT-MPU QUICKSTART APPLICATON ERROR DEFINITIONS
*
* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/Examples/SP_QuickStart/app_err.h#1 $
*
* \details  This file contains the definitions for the error codes for the quickstart application.
*
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef APP_ERR_H_
#define APP_ERR_H_

#ifdef __cplusplus                                    /* for compatibility with C++ environments  */
extern "C" {
#endif

/*
****************************************************************************************************
*                                             INCLUDES
****************************************************************************************************
*/

#include "ucos_ii.h"

/*
****************************************************************************************************
*                                            DEFINES
****************************************************************************************************
*/

#define APP_ERR_CTRL_TASK   0x33u
#define APP_ERR_WDT         0x55u
#define APP_ERR_STK_PATTERN 0x66u
#define APP_ERR_STK_PTR     0x99u
#define APP_ERR_MPU_CFG     0xAAu

/*
****************************************************************************************************
*                                              MACROS
****************************************************************************************************
*/

#define APP_ERR_PACK_CUR(e)     ((void *)((INT32U)(OSPrioCur     << 24u) | ((INT32U)e & 0xFFFFu)))
#define APP_ERR_PACK_HIGHRDY(e) ((void *)((INT32U)(OSPrioHighRdy << 24u) | ((INT32U)e & 0xFFFFu)))
#define APP_ERR_PACK(e, p)      ((void *)((INT32U)(p << 24u) | ((INT32U)e & 0xFFFFu)))
#define APP_ERR_UNPACK_PRIO(c)  ((INT32U)c >> 24u)
#define APP_ERR_UNPACK_ERR(c)   ((INT32U)c & 0xFFFFu)

/*
****************************************************************************************************
*                                              GLOBALS
****************************************************************************************************
*/

extern OS_EVENT *App_ErrMBox;


#ifdef __cplusplus                                    /* for compatibility with C++ environment   */
}
#endif

#endif /* APP_ERR_H_ */
