/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      app_task.h
*
* \brief     CERT-MPU QUICKSTART APPLICATON TASK DEFINITIONS
*
* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/Examples/SP_QuickStart/app_task.h#1 $
*
* \details  This file contains the definitions for the quickstart application tasks.
*
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef APP_TASK_H_
#define APP_TASK_H_

#ifdef __cplusplus                                    /* for compatibility with C++ environments  */
extern "C" {
#endif


/*
****************************************************************************************************
*                                              GLOBALS
****************************************************************************************************
*/

extern const INT8U  App_TaskPrioTbl[];
extern const INT32U App_TaskPrioTblSize;

#if FIT_STK_PATTERN_EN > 0
extern OS_STK App_CtrlStk[];
#endif

/*
****************************************************************************************************
*                                       FUNCTION PROTOTYPES
****************************************************************************************************
*/

void App_Init        (void);

void App_PrintString (const char* string);
void App_PrintUInt   (INT32U number);


#ifdef __cplusplus                                    /* for compatibility with C++ environment   */
}
#endif

#endif /* APP_TASK_H_ */
