/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file     sp_cfg.h
* \brief    C/OS-MPU - CONFIGURATION
* \ingroup  OS_SP
*
* $Id: //stream_demos/_root/demo_cert-mpu/core/hw_cortex-m4f/env_iar/lib/sp_cfg.h#1 $
*
*           This header file contains configuration defines for the uC/OS-II hardware
*           memory protection support.
*
****************************************************************************************************
*/

/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef SP_CFG_H_
#define SP_CFG_H_

/*
****************************************************************************************************
*                                             INCLUDES
****************************************************************************************************
*/
#include "os_cfg.h"                                   /* uC/OS-II configuration file              */

/*
****************************************************************************************************
*                                    CONFIGURATION DEFINES
****************************************************************************************************
*/

#define OS_SP_EN                        1u            /*!< Enable (1) the SP hardware support     */
#define SP_MAX_PROCESS                  5u            /*!< Max. number of processes in your appl. */
#define SP_MAX_SHM                      2u            /*!< Max. number of shared mem in your appl.*/
#define SP_MAX_MEM_BLOCK                8u            /*!< Max. number of memory blocks           */
#define SP_USER_ACCESS_FAULT_EVENT_EN   1             /*!< 0=Default Handler, 1=User Handler      */

/*
****************************************************************************************************
*                                        ERROR SECTION
****************************************************************************************************
*/

#if (SP_MAX_PROCESS > (OS_MAX_TASKS + 1u))            /* Number of OS_N_SYS_TASKS is 1            */
#error "sp_cfg.h: Number of processes shall be lower or equal number of possible tasks."
#endif

#endif   /* #ifndef SP_CFG_H_ */
