/*
****************************************************************************************************
* (c) copyright by
*     Embedded Office GmbH & Co. KG       Tel : (07522) 97 00 08-0
*     Friedrich-Ebert-Str. 20/1           Fax : (07522) 97 00 08-99
*     D-88239 Wangen                      Mail: info@embedded-office.de
*                                         Web : http://www.embedded-office.de
*
* All rights reserved. Confidential and Proprietary. Protected by international copyright laws.
* Knowledge of the source code may not be used to write a similar product.
* This file may only be used in accordance with a license and should not be
* redistributed in any way.
****************************************************************************************************
*/
/*!
****************************************************************************************************
* \file      rtos_excep.h

* \brief     Flexible Safety RTOS exception handler functions header file

* $Id: //stream_demos/demo_cmsis_pack/demo_cmsis/Files/UserCodeTemplates/rtos_excep.h#1 $
****************************************************************************************************
*/
/*----------------------------------------END OF HEADER-------------------------------------------*/

#ifndef RTOS_EXCEP_H_
#define RTOS_EXCEP_H_

/*
****************************************************************************************************
*                                             INCLUDES
****************************************************************************************************
*/
#include "RTE_Components.h"
#include CMSIS_device_header
#include "ucos_ii.h"                                  /* use: uC/OS-II in application             */
#include "sp_core.h"                                  /* use: uC/OS-MPU extension                 */
#include "sp_osapi.h"                                 /* use: uC/OS-II wrapper functions          */
//TODO Include HAL header file to excess the HAL functions of STMCubeMX for example:#include "stm32f4xx_hal.h"

/*
****************************************************************************************************
*                                           DEFINES
****************************************************************************************************
*/
//TODO enable (RTOS_OSSYSTICK_EN = 1u)to access the SysTick timer functionality
#define RTOS_OSSYSTICK_EN              0u             /* Enable/Disable the Systick handler       */

//TODO enable (RTOS_CORTEXM4_EXCEPTION_EN = 1u)to access the Memmanage exception functionality
#define RTOS_CORTEXM4_EXCEPTION_EN     0u             /* Enable/Disable the Exception handler     */
/*
****************************************************************************************************
*                                      API FUNCTION PROTOTYPES
****************************************************************************************************
*/

void RTOS_Tick_Init (void);


#endif  /* #ifndef RTOS_EXCEP_H_ */
